[Python-ideas] Support 1.x notation in version specifiers